@use '../components/menu';
@use '../components/slides-grid';

@import '../components/panel-content';

%slide-image-mat-tile {
  width: 100%;
  position: relative;
  display: block;
  overflow: hidden;
}

.label-mat-tile {
  @extend %slide-image-mat-tile;
  height: 0.25 * slides-grid.$mat-grid-tile-height;
}

.thumbnail-mat-tile {
  @extend %slide-image-mat-tile;
  height: 0.5 * slides-grid.$mat-grid-tile-height;
}

.text-mat-tile {
  @extend %slide-image-mat-tile;
  height: 0.06 * slides-grid.$mat-grid-tile-height;
  padding: 6px 5px 5px;
  word-break: break-all;
}

.slides-panel-content {
  @extend %max-panel-content-base;
  max-height: menu.app-menu-panel-max-height(1);
}
